﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace StylingYAxis
{
    public class SimpleDataCollection : ObservableCollection<SimpleDataPoint>
    {
        public SimpleDataCollection()
        {
            this.Add(new SimpleDataPoint() { Label = "1", Value = 10});
            this.Add(new SimpleDataPoint() { Label = "2", Value = 20 });
            this.Add(new SimpleDataPoint() { Label = "3", Value = 30 });
            this.Add(new SimpleDataPoint() { Label = "4", Value = 40 });
            this.Add(new SimpleDataPoint() { Label = "5", Value = 50 });
            this.Add(new SimpleDataPoint() { Label = "6", Value = 60 });
            this.Add(new SimpleDataPoint() { Label = "7", Value = 50 });
            this.Add(new SimpleDataPoint() { Label = "8", Value = 90 });
        }
    }
    /// <summary>
    /// Simple storage class for pair of string and double value
    /// </summary>
    public class SimpleDataPoint
    {
        public int Value { get; set; }
        public string Label { get; set; }
    }


}
